package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuCategoryQueryRequest struct {
	/*
	   查询类目请模型     */
	Param *domain.AlibabaWdkSkuCategoryQueryCategoryDo `json:"param" required:"true" `
}

func (s *AlibabaWdkSkuCategoryQueryRequest) SetParam(v domain.AlibabaWdkSkuCategoryQueryCategoryDo) *AlibabaWdkSkuCategoryQueryRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkSkuCategoryQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkSkuCategoryQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
